aboutsummaryrefslogtreecommitdiff
path: root/test/sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/sh')
-rwxr-xr-xtest/sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/test/sh b/test/sh
new file mode 100755
index 00000000..354a40c7
--- /dev/null
+++ b/test/sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+for sh in sh/* sh/profile.d/* ; do
+ if [ -f "$sh" ] && ! sh -n "$sh" ; then
+ exit 1
+ fi
+done
+printf 'All sh(1) scripts parsed successfully.\n'